impossibile scaricare pacchetto 'core.db':Request Range Not Satisfied

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
Carisna
Novello Arciere
Messaggi: 69
Iscritto il: 5 gennaio 2008, 17:03

Messaggio da Carisna » 9 aprile 2011, 21:07

Ho aggiornato dopo parecchio tempo il pc dei miei (con su gnome).
Visto dovevo aggiornare anche pacman ho seguito la discussione

Codice: Seleziona tutto

Leggere in caso di problemi con pacman o con i mirror  
ma mi diceva che era impossibile scaricare il pacchetto core col risultato che una volta riavviato ho gnome 3 a mezzo "servizo" e se provo a dare pacman -Syy ottengo

Codice: Seleziona tutto

pacman -Syy
:: Sincronizzazione dei database in corso...
errore: impossibile scaricare il pacchetto 'testing.db' da mirrors.kernel.org : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'testing.db' da ftp5.gwdg.de : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'testing.db' da archlinux.limun.org : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'testing.db' da mir1.archlinux.fr : Protocol error
errore: impossibile aggiornare testing (Protocol error)
errore: core.db sembra essere incompleto: 38276/38295 byte###-------------]  42%
errore: impossibile scaricare il pacchetto 'core.db' da ftp5.gwdg.de : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'core.db' da archlinux.limun.org : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'core.db' da mir1.archlinux.fr : Protocol error
errore: impossibile aggiornare core (Protocol error)
errore: impossibile scaricare il pacchetto 'extra.db' da mirrors.kernel.org : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'extra.db' da ftp5.gwdg.de : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'extra.db' da archlinux.limun.org : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'extra.db' da mir1.archlinux.fr : Protocol error
errore: impossibile aggiornare extra (Protocol error)
 community-testing         8,5K   88,9K/s 00:00:00 [######################] 100% 

Il decoratore di scimmie
Novello Arciere
Messaggi: 33
Iscritto il: 2 dicembre 2010, 1:20

Messaggio da Il decoratore di scimmie » 10 aprile 2011, 0:41

Errori anche qui, yaourt -Syua mi restituisce:
:: Sincronizzazione dei database in corso...
core 37,4K 332,0M/s 00:00:00 [######################] 100%
extra 471,2K 587,3K/s 00:00:01 [######################] 100%
errore: community.db sembra essere incompleto: 8192/448689 byte-----------] 0%
errore: impossibile aggiornare community (impossibile scaricare alcuni file)
archlinuxfr è aggiornato
error: failed to prepare transaction (could not satisfy dependencies)
:: Starting full system upgrade...
:: compizconfig-python: requires protobuf
:: compizconfig-python: requires protobuf
Mirror utilizzato: mirrors.kernel.org
Sarà un problema temporaneo

Carisna
Novello Arciere
Messaggi: 69
Iscritto il: 5 gennaio 2008, 17:03

Messaggio da Carisna » 10 aprile 2011, 12:23

Sarà come dici tu, un problema temporaneo: stamattina ho provato a aggiornare il risultato è

Codice: Seleziona tutto

pacman -Syu
:: Sincronizzazione dei database in corso...
 testing è aggiornato
errore: impossibile scaricare il pacchetto 'core.db' da ftp5.gwdg.de : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'core.db' da archlinux.limun.org : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'core.db' da mir1.archlinux.fr : Requested Range Not Satisfiable
errore: impossibile aggiornare core (Requested Range Not Satisfiable)
errore: impossibile scaricare il pacchetto 'extra.db' da ftp5.gwdg.de : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'extra.db' da archlinux.limun.org : Requested Range Not Satisfiable
errore: impossibile scaricare il pacchetto 'extra.db' da mir1.archlinux.fr : Protocol error
errore: impossibile aggiornare extra (Protocol error)
 community-testing è aggiornato
 community è aggiornato
 archlinuxfr è aggiornato
 
almeno adesso anche testing funziona solo che gnome è inutilizzabile (la sessione crasha e non so quali pacchetti manchino altrimenti li installerei a mano con pacman -U) ho dovuto installare una sessione di kde minima come scritto nel wiki....

Il decoratore di scimmie
Novello Arciere
Messaggi: 33
Iscritto il: 2 dicembre 2010, 1:20

Messaggio da Il decoratore di scimmie » 10 aprile 2011, 17:11

mirrors.kernel.org su http è ancora problematico, su ftp aggiorna i repo ma non trova molti pacchetti, per ora mi funziona su mir.archlinux.fr (primo mirror francese della lista), penso sia un po' meno aggiornato dei main mirror

xnamix
Novello Arciere
Messaggi: 111
Iscritto il: 24 dicembre 2009, 2:29

Messaggio da xnamix » 11 aprile 2011, 9:17

stamane ha dato anche a me lo stesso errore ma ho risolto accedendo alla mirrorlist e decommentando i server Any
dopo di che ha aggiornato tranquillamente.

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Messaggio da veleno77 » 11 aprile 2011, 10:47

provate a generare una nuova lista di mirror più aggiornati (mirrorstatus) e abilitatene almeno 5.
Io non sto avendo problemi
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

BlackieLawless
Arciere Provetto
Messaggi: 625
Iscritto il: 23 aprile 2008, 15:37
Contatta:

Messaggio da BlackieLawless » 11 aprile 2011, 23:37

io ho risolto decomentando il server ANY ftp!

iurry
Novello Arciere
Messaggi: 46
Iscritto il: 19 dicembre 2013, 17:33
Architettura: x86_64 (64bit)

Re: impossibile scaricare pacchetto 'core.db':Request Range Not Satisfied

Messaggio da iurry » 30 giugno 2014, 13:49

prova ad eseguire il comando
pacman -Syy

Avatar utente
KleinerMann
Moderatore
Messaggi: 3784
Iscritto il: 8 gennaio 2011, 20:59
Architettura: x86_64 (64bit)

Re: impossibile scaricare pacchetto 'core.db':Request Range Not Satisfied

Messaggio da KleinerMann » 1 luglio 2014, 10:59

Utile dopo più di tre anni :P
Arch Linux - AwesomeWM

Rispondi